| Home | Libraries | People | FAQ | More

##### windows::basic_random_access_handle::basic_random_access_handle (3 of 3 overloads)

Move-construct a `windows::basic_random_access_handle` from another.

    basic_random_access_handle(
        basic_random_access_handle && other);

This constructor moves a random-access handle from one object to another.

###### Parameters

other

  The other `windows::basic_random_access_handle` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_random_access_handle(io_service&)` constructor.